Income
2 endpoints
GET
/users/{user}/wallets/{wallet}/incomes
List all incomes
Lists existing incomes for a user and wallet. Admin audience is required to list incomes for all users with userId = * and walletId = *.
Parameters
user required
id parameter must be included in the URI
wallet required
id parameter must be included in the URI
page
Page number of the records list
limit
Max number of records by page. limit=0 to return all records
sort
Sort the response PARAM or -PARAM
createdAfter
Created after date
createdBefore
Created before date
status
Income status
Responses
200
400
Bad request
401
Unauthorized
404
Not found
GET https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}/incomes
Response 200
[
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"userId": "yV_laCy3T",
"walletId": "yV_laCy3T",
"assetId": "yV_laCy3T",
"amount": "15.3",
"blockchainTransactionId": "0x47f59878df18bd27a49a92e8a85f6fcbe8be87f7c39cc4b5ea97616cf1a3bb3e",
"senderAddress": "0x7352E5dA5f0a44d598586c692D9dc86e7f7529C3",
"status": "pending",
"transactionTimestamp": "pending",
"rateId": "yV_laCy3T"
}
]
GET
/users/{user}/wallets/{wallet}/incomes/{income}
Find income by id
Retrieves an existing income by its id .
Parameters
user required
id parameter must be included in the URI
wallet required
id parameter must be included in the URI
income required
id parameter must be included in the URI
Responses
200
401
Unauthorized
404
Not found
GET https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}/incomes/{income}
Response 200
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"userId": "yV_laCy3T",
"walletId": "yV_laCy3T",
"assetId": "yV_laCy3T",
"amount": "15.3",
"blockchainTransactionId": "0x47f59878df18bd27a49a92e8a85f6fcbe8be87f7c39cc4b5ea97616cf1a3bb3e",
"senderAddress": "0x7352E5dA5f0a44d598586c692D9dc86e7f7529C3",
"status": "pending",
"transactionTimestamp": "pending",
"rateId": "yV_laCy3T"
}